
Name:      gimmage
Version:   0.2.3
Release:   2%{?dist}
Summary:   A Simple GNOME Image Viewer
Group:     Applications/Multimedia
License:   GPLv2+
URL:       http://gimmage.berlios.de/
Source0:   http://download.berlios.de/gimmage/%{name}-%{version}.tar.gz
Patch0:    gimmage-0.2.3-desktop.patch
Patch1:    gimmage-0.2.3-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel >= 2.10.0
BuildRequires:  cairomm-devel
BuildRequires:  curl-devel
BuildRequires:  file-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext intltool


%description
Gimmage is a simple image viewer that aims to have a minimalist
interface and tries to be keyboard operable for browsing through a
large number of images quickly.


%prep
%setup -q
%patch0 -p1 -b .desktop
%patch1 -p1 -b .gcc43


%build
%configure \
        --disable-static \
        --disable-rpath \
        --disable-dependency-tracking

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor fedora \
    --delete-original \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null ||:


%postun
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Feb 16 2008 Denis Leroy <denis@poolshark.org> - 0.2.3-2
- Added patch for gcc 4.3 rebuild

* Tue Sep  4 2007 Denis Leroy <denis@poolshark.org> - 0.2.3-1
- First version

